# de_abandoned_hospital

An open source CS:GO map.

Custom materials used in this map are available inside the materials folder. Do not forget to install them before attempting to compile it through Valve Hammer Editor.

## Building the map

Open `de_abandoned_hospital.vmf` with Valve Hammer Editor (Counter Strike : Global Offensive SDK version). Press `F9` to compile, then select `Expert...` and choose the `Full compile -both -final (slow)` preset. Compilation will be way slower but it will ensure that the lightning of static props on the map are correctly rendered.

## Running this map on a server

1. Build the map or download the [latest release](https://git.quent1.fr/quent1/de_abandoned_hospital/releases).
2. Install the map
3. Generate the navigation meshes file (see below).

## Generating the navigation meshes files

Open the server console and execute : 

	map de_abandoned_hospital
	sv_cheats 1
	nav_generate
	
Wait a few minutes until the file is generated. The server may become unresponsive during that generation.
